apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: {{ .Values.appName }}-ingress
spec:
  ingressClassName: nginx
  rules:
  - host: {{ .Values.ingress.hostName }}
    http:
      paths:
      - path: {{ .Values.ingress.path }}
        pathType: {{ .Values.ingress.pathType }}
        backend:
          service:
            name: {{ .Values.appName }}
            port: 
              number: {{ .Values.servicePort }}
